package com.unis.base.server.dao;

import com.unis.base.common.vo.NatureTransVo;
import com.unis.base.server.entity.XZzbDo;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author ceshi
 * @Title: ${file_name}
 * @Package ${package_name}
 * @Description: ${}
 * @date 2019/10/3121:05
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface NatureTransDao {
    List<XZzbDo> findPageList(NatureTransVo natureTransVo);

    int deleteByPrimaryKey(String xzzbdbh);

    int insertSelective(XZzbDo s0);

    int updateByPrimaryKey(XZzbDo s0);
}
